Results 1 to 12 of 12

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: I'm worried, have I bricked my shiny new baby?

  1. #1
    Default I'm worried, have I bricked my shiny new baby?
    Hi, I just bought a new o2 iPhone from the UK and had a go at jailbreaking it, which worked like a charm. But I had to use a bit of initiative as I am on Windows and am at university (so for some reason I can't download iBrickr and don't want to use iDemocracy).

    So when the restore mode comes up I typed into iPhuc:

    cmd setenv auto-boot true
    cmd saveenv
    cmd fsboot

    I made a script for it because I have to do it so often (every time I reset).

    This is no problem.

    However, I tried using anysim 1.1 TWICE. Which I've read could be a bad thing, both times it gives me a secpack error. I've also read that this couldn't damage my system. However, before, I would always get a "no service" at the top, as my sim isn't activated, but now I get a 1 bar signal, and I can't make any calls.

    Could this be a problem? I know it's small but I'm really worried that when the true jailbreaks for 1.1.2 come out, it could brick my iPhone .

  2. #2
    What firmware do you have on your phone. If you just bought it in the UK (for O2) I'm going to wager it's 1.1.2 and at the moment the AnySIM that is circulating around for it really doesn't work.
    Je t'aime encore, Roguette

  3. #3
    it came standard at 1.1.2 and I downgraded to 1.1.1

    Also, I have an o2 sim (which I have as a previous contract). Should it be working? Most phones would work like this...

  4. #4
    Quote Originally Posted by dilinator View Post
    it came standard at 1.1.2 and I downgraded to 1.1.1

    Also, I have an o2 sim (which I have as a previous contract). Should it be working? Most phones would work like this...
    Most phones, but not an iPhone. The iPhone has to be 'paired' with a SiM during activation.

    At the moment phones downgraded from 1.1.2 to 1.1.1 can be activated but they don't get service. They're not bricked or damaged, they just won't get a signal. Presumably because of the difference in the baseband firmware version (4.01X vs 4.02X)

    Further, AnySIM 1.1 will not work on a 1.1.2 phone.

    Your best bet at this point is to restore it to 1.1.2 and attempt to jailbreak it so that you can bypass activate it with your existing O2 SIM.

    Will it work? I've no idea. 1.1.2 is too new yet. Not all the kinks have been ironed out and the jailbreak/unlock methods aren't cleaned up yet. I know that with previous versions and T&T if you had even an older AT&T SIM you didn't need to UNLOCK the phone. Just Jailbreak it and bypass activate it.
    Last edited by Murfunit; 2007-11-11 at 05:10 PM.
    Je t'aime encore, Roguette

  5. #5
    You will need to downgrade your baseband firmware to use 1.1.1...

    http://code.google.com/p/iphone-elit...radingBaseband

  6. #6
    You mean I should do that if I want to use 1.1.1, because I already can. Or do you mean I should downgrade my baseband so I can use my o2 sim? I'm confused

    I can't use that tutorial, iNdependence is Mac only.
    Last edited by dilinator; 2007-11-11 at 05:39 PM.

  7. #7
    Quote Originally Posted by dilinator View Post
    You mean I should do that if I want to use 1.1.1, because I already can. Or do you mean I should downgrade my baseband so I can use my o2 sim? I'm confused

    I can't use that tutorial, iNdependence is Mac only.
    If you want to UNLOCK the phone you're going to have to downgrade the baseband or wait a few more days for the 1.1.2 unlock.

    if you want to use your O2 SIM you SHOULD be able to just bypass activate it, which does not require unlocking, only jailbreaking.

    You can use the guide HERE to jailbreak the phone. If you are on a Windows machine just Google for an IPHUC method for Windows. Substitute WINSTALLER for iNdependence, WinSCP for CyberDuck and Putty for Terminal.

    Honestly, I wouldn't go jumping the gun and attempting to downgrade the baseband firmware just yet. if you do actually need to unlock (Which I don't believe you d. The older AT&T customers didn't have to. I can't see the O2 situation being all that different) it should only be a matter of another day or 2 before the process is smoothed ut and the unlocks released
    Je t'aime encore, Roguette

  8. The Following User Says Thank You to Murfunit For This Useful Post:

    dilinator (2007-11-12)

  9. #8
    Hmm, I have downgraded and activated with the sim that I want inside the phone.

    I downgraded, used iphuc to avoid the DUF mode and then used jailbreakme.com to activate the phone with the sim card. Should that be sufficient to allow me to use it?

    When the phone goes to the home, I still have no signal.

  10. #9
    Quote Originally Posted by dilinator View Post
    Hmm, I have downgraded and activated with the sim that I want inside the phone.

    I downgraded, used iphuc to avoid the DUF mode and then used jailbreakme.com to activate the phone with the sim card. Should that be sufficient to allow me to use it?

    When the phone goes to the home, I still have no signal.
    Your phone is a 1.1.2 baseband. When downgraded to 1.1.1 firmware these phones do not truly activate and can't connect to any network.

    You have to either downgrade the baseband as well (a process which is not proven effective on UK released phones) or wait a day or so for a truejailbreak/unlock solution for 1.1.2
    Je t'aime encore, Roguette

  11. The Following User Says Thank You to Murfunit For This Useful Post:

    dilinator (2007-11-12)

  12. #10
    Thanks alot! Is there any sort of +rep system around here?

  13. #11
    What's Jailbreak? commando1257's Avatar
    Join Date
    Oct 2007
    Location
    California, USA
    Posts
    16
    Thanks
    0
    Thanked 0 Times in 0 Posts

    use this if you wish to unlock a 1.1.2 phone.
    http://code.google.com/p/iphone-elite/
    Powerbook G4 17"-- 10.5 Leopard
    iPhone 1.1.1 T-mobile
    iPod 80 gig Video

  14. #12
    Quote Originally Posted by commando1257 View Post
    use this if you wish to unlock a 1.1.2 phone.
    http://code.google.com/p/iphone-elite/

    I believe this is not for UK phones, its for phones upgraded to 1.1.2.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •